#ifndef BITFLD_H_
#define BITFLD_H_

struct vgi_bitfld {  /* bit-field */
  unsigned int bfsize, bfanz;
  unsigned char *bfeld;
};

extern int bitfld_anz(struct vgi_bitfld *);
extern void bitfld_set(struct vgi_bitfld *, int);
extern VG_BOOL bitfld_get(struct vgi_bitfld *, int);
extern void bitfld_del(struct vgi_bitfld *, int);
extern int bitfld_next(struct vgi_bitfld *, int);
extern int bitfld_unused(struct vgi_bitfld *, int);

#endif /* BITFLD_H_ */
